<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('pbtpay_bils', function (Blueprint $table) {
            $table->id();
            $table->integer('client_id');
            $table->double('total');
            $table->string('title')->nullable();
            $table->string('subjek')->nullable();
            $table->string('keterangan')->nullable();
            $table->string('name')->nullable();
            $table->string('email')->nullable();
            $table->string('mobile')->nullable();
            $table->string('modul');
            $table->string('jenis');
            $table->double('permohonan_id');
            $table->double('amount');
            $table->string('noakaun')->nullable();
            $table->string('nobil');
            $table->enum('status_transaksi', ['baru','pending','selesai'])->default('baru');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pbtpay_bils');
    }
};
